
Widget["WizardFrame", {

    "wizard" -> Widget["Wizard", {
        "title" -> "Card Magic Game",
        "sideBarTitle" -> "Steps",
    
        "pages" -> {
  
            Widget["WizardPage", {
                "title" -> "Overview",
                "navigationNames" -> {"Next", "Cancel"},
                "content" -> Widget["WizardHTMLPanel", {
                    "text" -> "This program helps your magician perform a card magic game for you. <p>You will be asked to 
                     pick five cards from a deck of 52 poker cards either:<ol><li>Do it manually yourself<li>Let this computer program pick them for you, if you trust it :) </ol><p>
                     One of the cards will be hidden and the rest four of them will be shown to your magician.<p>Though only you and your computer know the hidden card, the magic power granted to your magician allows him/her to SEE through the traces left on your computer monitor such that
                     he/she can tell you what that hidden card is."}],
                "sideBarContent" -> Widget["WizardHTMLPanel", {
                "text" -> "<b>1. Overview</b><p>2. Pick Five Cards<p>3. Show Your Cards" }]
            }, Name -> "overviewPage"],
      
            Widget["WizardPage", {
                "title" -> "Pick Five Cards",
                "navigationNames" -> {"Back", "Next", "Cancel"},
                "allowNext"->False,
                "content" -> Widget["Panel", {
                    Widget["WizardHTMLPanel", {
                      "text" -> "Please pick five cards by either: <ol><li>Slide a number and then click the corresponding suit button <li>Simply click the RANDOM button</ol><p><b>IMPORTANT: Make sure your magician is not peeking.</b> Make him/her stand opposite to your computer monitor or even in another room."}],
        
                WidgetGroup[ {
                    {Widget["Button", {"icon" -> Widget["Icon", {"path" -> "spade.gif"}],BindEvent["action", Script[AppendTo[fivecards,{PropertyValue[{"slider1", "value"}],4}];updateCards[]]]}],
                     Widget["TextField", {"text" ->"A"<>FromCharacterCode[9824], "columns"->3, "editable"->False}, Name -> "text1"],
                     Widget["Slider", {"value"->1,"minimum"->1,"maximum"->13,
                     BindEvent["change", Script[SetPropertyValue[{"text1", "text"},
                     ToString[PropertyValue[{"slider1", "value"}]/.rules2]<>FromCharacterCode[9824]]]]}, Name -> "slider1"]},
                     
                    {Widget["Button", {"icon" -> Widget["Icon", {"path" -> "heart.gif"}], BindEvent["action", Script[AppendTo[fivecards,{PropertyValue[{"slider2", "value"}],3}];updateCards[]]]}],
                     Widget["TextField", {"text" ->"A"<>FromCharacterCode[9829], "columns"->3, "editable"->False}, Name -> "text2"],
                     Widget["Slider", {"value"->1,"minimum"->1,"maximum"->13,
                     BindEvent["change", Script[SetPropertyValue[{"text2", "text"},
                     ToString[PropertyValue[{"slider2", "value"}]/.rules2]<> FromCharacterCode[9829]]]]}, Name -> "slider2"]},
                         
                    {Widget["Button", {"icon" -> Widget["Icon", {"path" -> "diamond.gif"}], BindEvent["action", Script[AppendTo[fivecards,{PropertyValue[{"slider3", "value"}],2}];updateCards[]]]}],
                     Widget["TextField", {"text" ->"A"<>FromCharacterCode[9830], "columns"->3, "editable"->False}, Name -> "text3"],
                     Widget["Slider", {"value"->1,"minimum"->1,"maximum"->13,
                     BindEvent["change", Script[SetPropertyValue[{"text3", "text"},
                     ToString[PropertyValue[{"slider3", "value"}]/.rules2]<>FromCharacterCode[9830]]]]}, Name -> "slider3"]},
                
                    {Widget["Button", {"icon" -> Widget["Icon", {"path" -> "club.gif"}], BindEvent["action", Script[AppendTo[fivecards,{PropertyValue[{"slider4", "value"}],1}];updateCards[]]]}],
                     Widget["TextField", {"text" ->"A"<>FromCharacterCode[9827], "columns"->3, "editable"->False}, Name -> "text4"],
                     Widget["Slider", {"value"->1,"minimum"->1,"maximum"->13,
                     BindEvent["change", Script[SetPropertyValue[{"text4", "text"},
                     ToString[PropertyValue[{"slider4", "value"}]/.rules2]<>FromCharacterCode[9827]]]]}, Name -> "slider4"]}
                     },
                WidgetLayout->Grid], 
            
        
                {Widget["Button",{"text"->"RANDOM",
                        BindEvent["action", Script[fivecards=Table[{Random[Integer,{1,13}],Random[Integer,{1,4}]},{5}];While[Length[Union[fivecards]]<5,fivecards=Table[{Random[Integer,{1,13}],Random[Integer,{1,4}]},{5}];];updateCards[]]]
                        }],
                 WidgetFill[],
                 Widget["Button",{"text"->"CLEAR",
                        BindEvent["action", Script[fivecards={};SetPropertyValue[{"fivecards","text"},""];SetPropertyValue[{"pickCardPage", "allowNext"}, False]]]
                        }]
                },
                Widget["TextField", {"text" -> "", "columns"->20, "editable"->False}, Name -> "fivecards"],     
                WidgetFill[],
                Widget["WizardHTMLPanel", {
                    "text" -> "After picking your five cards, click 'Next' to continue."}]
                }],
                "sideBarContent" -> Widget["WizardHTMLPanel", {
                    "text" -> "1. Overview<p><b>2. Pick Five Cards</b><p>3. Show Your Cards"
                 }]
            }, Name -> "pickCardPage"],
      
      
            Widget["WizardPage", {
                "title" -> "Show Your Cards",
                "navigationNames" -> {"Back", "Finish"},
                "content" -> Widget["Panel", {
                    Widget["WizardHTMLPanel", {
                      "text" -> "Now it's time to show your cards (four cards only) to your magician. Please allow him/her to stare at your computer monitor."}],
         
                    {Widget["Button",{"text"->"  ", "preferredSize" -> Widget["Dimension", {"width" -> 85, "height" -> 90}]},Name->"c1"],
                    Widget["Button",{"text"->"  ", "preferredSize" -> Widget["Dimension", {"width" -> 85, "height" -> 90}]},Name->"c2"],
                    Widget["Button",{"text"->"  ", "preferredSize" -> Widget["Dimension", {"width" -> 85, "height" -> 90}]},Name->"c3"],
                    Widget["Button",{"text"->"  ", "preferredSize" -> Widget["Dimension", {"width" -> 85, "height" -> 90}]},Name->"c4"]
                    }, 
                             
                    {Widget["Button",{"icon"->Widget["Icon", {"path" -> "blank.gif"}],"preferredSize" -> Widget["Dimension", {"width" -> 85, "height" -> 90}]},Name->"c5"],WidgetFill[]},
                    WidgetFill[],
                    Widget["WizardHTMLPanel", {
                        "text" -> "Click the fifth card to verify the magic power of your magician. <p>If you are not convinced of his/her power, choose 'Back' to start over again."}]
                }],
                "sideBarContent" -> Widget["WizardHTMLPanel", {
                    "text" -> "1. Overview<p>2. Pick Five Cards<p><b>3. Show Your Cards</b>"
                }]
            }, Name -> "showCardPage"]
      
        },
    
        Script[{}, ScriptSource -> "CardMagicScriptCode.m"]

    }, Name -> "wizard"]
  
}, Name -> "wizardFrame"]
