
Widget["WizardFrame", {

    "wizard" -> Widget["Wizard", {
        "title" -> "Card Magic Game (124-Card Version)",
        "sideBarTitle" -> "Steps",
    
        "pages" -> {
  
            Widget["WizardPage", {
                "title" -> "Overview",
                "navigationNames" -> {"Next", "Cancel"},
                "content" -> Widget["WizardHTMLPanel", {
                    "text" -> "This program helps your magician perform a card magic game for you. <p>You will be asked to 
                     pick five numbers ranging from 0 to 123 either:<ol><li>Do it manually yourself<li>Let this computer program pick them for you, if you trust it :) </ol><p>
                     One of the numbers will be hidden and the rest four of them will be shown to your magician.<p>Though only you and your computer know the hidden number, the magic power granted to your magician allows him/her to SEE through the traces left on your computer monitor such that
                     he/she can tell you what that hidden number is."}],
                "sideBarContent" -> Widget["WizardHTMLPanel", {
                "text" -> "<b>1. Overview</b><p>2. Pick Five Numbers<p>3. Show Your Numbers" }]
            }, Name -> "overviewPage"],
      
            Widget["WizardPage", {
                "title" -> "Pick Five Numbers",
                "navigationNames" -> {"Back", "Next", "Cancel"},
                "allowNext"->False,
                "content" -> Widget["Panel", {
                    Widget["WizardHTMLPanel", {
                      "text" -> "Please pick five numbers by either: <ol><li>Slide a number and then click the 'Select' button <li>Simply click the RANDOM button</ol><p><b>IMPORTANT: Make sure your magician is not peeking.</b> Make him/her stand opposite to your computer monitor or even in another room."}],
        
                
                {Widget["Button", {"text" -> "Select",BindEvent["action", Script[AppendTo[fivenumbers,PropertyValue[{"slider1", "value"}]];updateNumbers[]]]}],
                 Widget["TextField", {"text" ->"0", "columns"->3, "editable"->False}, Name -> "text1"],
                Widget["Slider", {"value"->0,"minimum"->0,"maximum"->123,BindEvent["change", Script[SetPropertyValue[{"text1", "text"},
                ToString[PropertyValue[{"slider1", "value"}], InputForm]]]]}, Name -> "slider1"]},
            
                        
        
                {Widget["Button",{"text"->"RANDOM",
                        BindEvent["action", Script[fivenumbers=Table[Random[Integer,{0,123}],{5}];While[Length[Union[fivenumbers]]<5,fivenumbers=Table[Random[Integer,{0,123}],{5}];];updateNumbers[]]]
                        }],
                 WidgetFill[],
                 Widget["Button",{"text"->"CLEAR",
                        BindEvent["action", Script[fivenumbers={};SetPropertyValue[{"fivenumbers","text"},""];SetPropertyValue[{"pickCardPage", "allowNext"}, False]]]
                        }]
                },
                Widget["TextField", {"text" -> "", "columns"->20, "editable"->False}, Name -> "fivenumbers"],     
                WidgetFill[],
                Widget["WizardHTMLPanel", {
                    "text" -> "After picking your five numbers, click 'Next' to continue."}]
                }],
                "sideBarContent" -> Widget["WizardHTMLPanel", {
                    "text" -> "1. Overview<p><b>2. Pick Five Numbers</b><p>3. Show Your Numbers"
                 }]
            }, Name -> "pickCardPage"],
      
      
            Widget["WizardPage", {
                "title" -> "Show Your Numbers",
                "navigationNames" -> {"Back", "Finish"},
                "content" -> Widget["Panel", {
                    Widget["WizardHTMLPanel", {
                      "text" -> "Now it's time to show your numbers (four numbers only) to your magician. Please allow him/her to stare at your computer monitor."}],
         
                    {Widget["Button",{"text"->"  ", "preferredSize" -> Widget["Dimension", {"width" -> 85, "height" -> 90}]},Name->"c1"],
                    Widget["Button",{"text"->"  ", "preferredSize" -> Widget["Dimension", {"width" -> 85, "height" -> 90}]},Name->"c2"],
                    Widget["Button",{"text"->"  ", "preferredSize" -> Widget["Dimension", {"width" -> 85, "height" -> 90}]},Name->"c3"],
                    Widget["Button",{"text"->"  ", "preferredSize" -> Widget["Dimension", {"width" -> 85, "height" -> 90}]},Name->"c4"]
                    }, 
                             
                    {Widget["Button",{"text"->" ","preferredSize" -> Widget["Dimension", {"width" -> 85, "height" -> 90}]},Name->"c5"],WidgetFill[]},
                    WidgetFill[],
                    Widget["WizardHTMLPanel", {
                        "text" -> "Click the fifth number to verify the magic power of your magician. <p>If you are not convinced of his/her power, choose 'Back' to start over again."}]
                }],
                "sideBarContent" -> Widget["WizardHTMLPanel", {
                    "text" -> "1. Overview<p>2. Pick Five Numbers<p><b>3. Show Your Numbers</b>"
                }]
            }, Name -> "showCardPage"]
      
        },
    
        Script[{}, ScriptSource -> "CardMagic124ScriptCode.m"]

    }, Name -> "wizard"]
  
}, Name -> "wizardFrame"]
